app-data-table {
  width: 100%;

  .openRow {
    margin-right: 0px;
    margin-left: 0px;
    padding: var(--eui-s-s) 0;
  }

  .light {
    thead tr {
      background-color: var(--eui-c-neutral-bg-light) !important;
    }

    tbody {
      tr {
        background-color: var(--eui-c-white) !important;

        td {
          background-color: var(--eui-c-white) !important;
          a {
            text-decoration: underline;
          }
        }

        &.empty td {
          background-color: var(--eui-c-neutral-bg-light) !important;
        }

        &:hover {
          background-color: var(--eui-c-primary-bg) !important;
          color: var(--eui-c-primary-light) !important;
          cursor: pointer;
        }
      }

      tr.tr-open {
        td {
          background-color: var(--eui-c-primary-bg-light) !important;
        }
      }

      tr.tr-open:hover {
        color: unset !important;
        cursor: auto;
      }

      tr.cs-background-color-grey-5 {
        background-color: var(--eui-c-neutral-bg-light) !important;

        td {
          background-color: var(--eui-c-neutral-bg-light) !important;
        }
      }
    }

    &-bordered {
      border: 1px solid var(--eui-c-primary-lighter);

      thead tr {
        border-top: 1px solid var(--eui-c-primary-lighter);
        border-bottom: 1px solid var(--eui-c-neutral-light);
      }

      tbody tr.light-bordered-row td {
        background-color: var(--eui-c-white) !important;
      }
    }
  }

  .cs-list-table {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
  }

  .wrapper {
    display: flex;
    flex-direction: column;
  }

  h2 {
    margin: 0 0 var(--eui-s-m);
  }

  td.td-text-no-wrap {
    white-space: nowrap;
  }

  .description-text {
    display: inline-block;
    max-width: 250px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  .description-text.expanded {
    white-space: normal;
    overflow: auto;
  }

  .hide {
    display: none;
  }

  tr.tr-link {
    cursor: pointer;

    &:hover {
      color: var(--eui-c-primary-light);
    }
  }

  .row-sel-pointer {
    cursor: pointer;
  }

  .row-sel-default {
    cursor: default;

    td span {
      cursor: default;
    }
  }
}

.eui-button:active,
.eui-button.active,
.eui-button:focus {
  z-index: auto !important;
}

.flag-width {
  width: 2.5em;
  height: 1.5em;
  box-shadow: none;
}

.eui-icon-svg--size-s {
  height: 0.8rem !important;
}

.loading-fade {
  display: block;
  animation: showNav 700ms ease-in-out both;
}

@keyframes showNav {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.usr-status {
  display: flex;
  align-items: center;
}

.cs-min-width-200 {
  min-width: 200px;
}
